Subject: Re: IPsec PMTUD problem

From: Patrick McHardy <[email-masked]>
Date: Thu, 05 Apr 2007 14:16:53 +0200

Herbert Xu wrote:
> On Thu, Apr 05, 2007 at 02:09:20PM +0200, Patrick McHardy wrote:
> 
>>>One possible solution is to not send MTU errors to ourselves since
>>>we it wouldn't give us any new information.  We'd need to audit the
>>>users of icmp_send to make sure that there isn't a legitimate case
>>>where we'd want to do that.
>>
>>One such case is delivery of errors to sockets. We'd need to make
>>sure the errors are delivered some other way.
> 
> 
> Alternatively we can still send the ICMP error but avoid a PMTU
> update if we received it from ourselves.

That sounds easier. I'm currently working in that area anyway, I'll
give it a try.